Cortex XDR version 8 Autoupgrade behaviour on Server 2008 R2

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Cortex XDR version 8 Autoupgrade behaviour on Server 2008 R2

L1 Bithead

Hi,

 

We're using the autoupgrade feature in the Agent Installation profile at the moment to upgrade our agents to the latest 7.9 client.  We're looking at moving up to version 8 shortly, I've upgraded a group of test machines and all looks good.  We've still got a couple of old 2008 R2 servers that will be getting decommissioned shortly but are still in our environment at the moment, what would the behaviour be of the autoupgrade minimum version was set to 8.  Would they upgrade to the latest 7.9?

 

Thanks

 

1 accepted solution

Accepted Solutions

L4 Transporter

Hi @jclements 

 

Regarding your above query on what would be the behavior for 2008 R2 servers if auto upgrade minimum version was set to 8 i.e. Agent Auto upgrade scope to Latest Agent Release.

In above case 2008 R2 server agents won't be upgraded to latest 7.9 as under Agent upgrade status for those agents you would see message as "Not Supported" with the following details "Endpoint OS is too old and unsupported for this agent version" reason being in the Policy Agent Auto upgrade scope is set to Latest Agent Release and 8.0 agent is not supported for 2008R2 SP1. 

 

Sharing Screenshot for Reference:

PiyushKohli_0-1680246773632.png

Hence to upgrade old 2008 R2 servers either you may duplicate the policy and update Agent upgrade scope to "One release before the latest one" or upgrade from All Endpoints -> Select 2008 R2 Server Agent/Endpoint -> Endpoint Control -> Upgrade Agent Version

 

PiyushKohli_1-1680247210782.png

PiyushKohli_2-1680247554989.png

 

Hope this helps!  

Please mark the response as "Accept as Solution" if it answers your query.

 

Thanks

 

View solution in original post

3 REPLIES 3

L4 Transporter

Hi @jclements,

 

Thanks for reaching out on LIVEcommunity!

 

I'm doing some research on your issue and I will get back to you as soon as I have some information to share!

 

Have a great day!

L4 Transporter

Hi @jclements 

 

Regarding your above query on what would be the behavior for 2008 R2 servers if auto upgrade minimum version was set to 8 i.e. Agent Auto upgrade scope to Latest Agent Release.

In above case 2008 R2 server agents won't be upgraded to latest 7.9 as under Agent upgrade status for those agents you would see message as "Not Supported" with the following details "Endpoint OS is too old and unsupported for this agent version" reason being in the Policy Agent Auto upgrade scope is set to Latest Agent Release and 8.0 agent is not supported for 2008R2 SP1. 

 

Sharing Screenshot for Reference:

PiyushKohli_0-1680246773632.png

Hence to upgrade old 2008 R2 servers either you may duplicate the policy and update Agent upgrade scope to "One release before the latest one" or upgrade from All Endpoints -> Select 2008 R2 Server Agent/Endpoint -> Endpoint Control -> Upgrade Agent Version

 

PiyushKohli_1-1680247210782.png

PiyushKohli_2-1680247554989.png

 

Hope this helps!  

Please mark the response as "Accept as Solution" if it answers your query.

 

Thanks

 

L1 Bithead

Thanks for the reply, as you say the best way to deal with the legacy operating systems is to separate them out and target them with a separate policy.

 

Hopefully won’t have to support them for long!

 

thanks

  • 1 accepted solution
  • 1562 Views
  • 3 replies
  • 0 Likes
  • 78 Subscriptions
Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!